Cannot build on arm architecture

Bug #438433 reported by David Sugar on 2009-09-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openmpi (Ubuntu)
High
Unassigned

Bug Description

This package is specifically not supported for arm. There are a limited set of architectures that are supported, and this is because the package uses some architecture specific assembly. While the binary packages list the explicit subset of supported architectures in the control file, there is also a "common" and "doc" package that are currently built for architecture: all, and for this reason a build is attempted from the archive for armel and fails immediately in configure.

Related branches

Paul Larson (pwlars) on 2009-12-01
Changed in openmpi (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Matthias Klose (doko) wrote :

The package should the GCC builtins, not assembler

Matthias Klose (doko) wrote :

the package is needed as build dependency for other packages

Changed in openmpi (Ubuntu):
importance: Low → Medium
Matthias Klose (doko) wrote :

looks like a config error, gcc-4.4 has the primitives

Matthias Klose (doko) wrote :

raising severity to high, this package is pulled by hdf5, which is pulled into main by
libvigraimpex.

will disable hdf5 in libvigraimpex for maverick. see bug #635891

Changed in openmpi (Ubuntu):
importance: Medium → High
tags: added: ftbfs
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openmpi - 1.4.3-1ubuntu2

---------------
openmpi (1.4.3-1ubuntu2) natty; urgency=low

  * debian/patches/arm_support: Initial ARM support.
    - atomic operations via gcc sync builtins.
    - dummy timer
    Fixes armel FTBFS (LP: #438433)
 -- Jani Monoses <email address hidden> Thu, 06 Jan 2011 09:24:32 +0200

Changed in openmpi (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers